Get store location
curl --request GET \
--url https://api.sandbox.usenash.com/v1/store_locations/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.usenash.com/v1/store_locations/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.usenash.com/v1/store_locations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.usenash.com/v1/store_locations/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sandbox.usenash.com/v1/store_locations/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sandbox.usenash.com/v1/store_locations/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sandbox.usenash.com/v1/store_locations/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "stl_01234567890123456789",
"name": "White House",
"phoneNumber": "+1234567890",
"location": {
"street": "Pennsylvania Avenue NW",
"city": "Washington",
"country": "US",
"number": "1600",
"secondaryNumber": null,
"county": "Washington",
"state": "DC",
"postalCode": "20500",
"latitude": 38.8948949,
"longitude": -77.0371581,
"timezoneId": "<string>"
},
"zoneIds": [
"zone_01234567890123456789",
"zone_01234567890123456789"
],
"zoneAssociations": [
{
"end_date": "2025-01-01",
"start_date": "2024-01-01",
"store_location_id": "stl_01234567890123456789",
"zone_id": "zone_01234567890123456789"
}
],
"tags": "['service:rapid', 'franchise_location']",
"integrationMetadata": {
"integration_name": "ABC"
},
"externalId": "40123",
"operatingHours": {
"friday": {
"active": true,
"shifts": [
[
"10:00",
"19:00"
]
]
},
"monday": {
"active": true,
"shifts": [
[
"10:00",
"19:00"
]
]
},
"saturday": {
"active": true,
"shifts": [
[
"10:00",
"19:00"
]
]
},
"sunday": {
"active": true,
"shifts": [
[
"11:00",
"18:00"
]
]
},
"thursday": {
"active": true,
"shifts": [
[
"10:00",
"19:00"
]
]
},
"tuesday": {
"active": true,
"shifts": [
[
"10:00",
"19:00"
]
]
},
"wednesday": {
"active": true,
"shifts": [
[
"10:00",
"19:00"
]
]
}
},
"prepTimeMinutes": 123,
"blackoutDates": [
"2024-01-01",
"2024-01-02"
],
"firstName": "Taylor",
"lastName": "Swift",
"email": "taylor@swift.com",
"pickupInstructions": "Once you arrive at the store, please click above to let us know you are here. Then, go ahead and find a sales associate inside - they'll be happy to help you!"
}[
{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"response_status": "<string>",
"RequestID": "<string>"
}
]Get Store Location
Get a store location by ID.
GET
/
v1
/
store_locations
/
{id}
Get store location
curl --request GET \
--url https://api.sandbox.usenash.com/v1/store_locations/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.usenash.com/v1/store_locations/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.usenash.com/v1/store_locations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.usenash.com/v1/store_locations/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sandbox.usenash.com/v1/store_locations/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sandbox.usenash.com/v1/store_locations/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sandbox.usenash.com/v1/store_locations/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "stl_01234567890123456789",
"name": "White House",
"phoneNumber": "+1234567890",
"location": {
"street": "Pennsylvania Avenue NW",
"city": "Washington",
"country": "US",
"number": "1600",
"secondaryNumber": null,
"county": "Washington",
"state": "DC",
"postalCode": "20500",
"latitude": 38.8948949,
"longitude": -77.0371581,
"timezoneId": "<string>"
},
"zoneIds": [
"zone_01234567890123456789",
"zone_01234567890123456789"
],
"zoneAssociations": [
{
"end_date": "2025-01-01",
"start_date": "2024-01-01",
"store_location_id": "stl_01234567890123456789",
"zone_id": "zone_01234567890123456789"
}
],
"tags": "['service:rapid', 'franchise_location']",
"integrationMetadata": {
"integration_name": "ABC"
},
"externalId": "40123",
"operatingHours": {
"friday": {
"active": true,
"shifts": [
[
"10:00",
"19:00"
]
]
},
"monday": {
"active": true,
"shifts": [
[
"10:00",
"19:00"
]
]
},
"saturday": {
"active": true,
"shifts": [
[
"10:00",
"19:00"
]
]
},
"sunday": {
"active": true,
"shifts": [
[
"11:00",
"18:00"
]
]
},
"thursday": {
"active": true,
"shifts": [
[
"10:00",
"19:00"
]
]
},
"tuesday": {
"active": true,
"shifts": [
[
"10:00",
"19:00"
]
]
},
"wednesday": {
"active": true,
"shifts": [
[
"10:00",
"19:00"
]
]
}
},
"prepTimeMinutes": 123,
"blackoutDates": [
"2024-01-01",
"2024-01-02"
],
"firstName": "Taylor",
"lastName": "Swift",
"email": "taylor@swift.com",
"pickupInstructions": "Once you arrive at the store, please click above to let us know you are here. Then, go ahead and find a sales associate inside - they'll be happy to help you!"
}[
{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"response_status": "<string>",
"RequestID": "<string>"
}
]Authorizations
Response
OK
Response for store location.
[Integration Specific]: An object with keys that correspond to days of week (monday, tuesday, etc) and their corresponding operating hours / delivery windows.
Example:
{
"friday": {
"active": true,
"shifts": [["10:00", "19:00"]]
},
"monday": {
"active": true,
"shifts": [["10:00", "19:00"]]
},
"saturday": {
"active": true,
"shifts": [["10:00", "19:00"]]
},
"sunday": {
"active": true,
"shifts": [["11:00", "18:00"]]
},
"thursday": {
"active": true,
"shifts": [["10:00", "19:00"]]
},
"tuesday": {
"active": true,
"shifts": [["10:00", "19:00"]]
},
"wednesday": {
"active": true,
"shifts": [["10:00", "19:00"]]
}
}
The pickup instructions of the store location. Limited to 280 characters. Nash Recommended Input: Order [insert order number] for [insert customer name] from [business name]
Example:
"Once you arrive at the store, please click above to let us know you are here. Then, go ahead and find a sales associate inside - they'll be happy to help you!"
Was this page helpful?